REP-XGETTEXT(1)

NAME
rep-xgettext - extract i18n strings from lisp scripts.

SYNOPSIS
rep-xgettext [ --include DEFINER ] [ --c ] [ --pot ]

DESCRIPTION

rep-xgettext The usual method of constructing message catalogue templates (.pot files) is to run xgettext on the C source files of the program (that have been annotated for i18n). librep provides the rep-xgettext program to perform the same task for files of Lisp code.

OPTIONS

--include
    include DEFINER. This is not documented by upstream.

--c This makes it output pseudo C code containing the string constants found.

--pot
    This makes it output in standart .pot file.

SEE ALSO

The programs are documented fully by John Harper available via the Info system.

AUTHOR

This manual page was written by Christian Marillat <marillat@debian.org> for the Debian GNU/Linux system (but may be used by others).